﻿namespace XG_RIA_Heirarchy
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using System.Threading;
    using System;

    /// <summary>
    /// Home page for the application.
    /// </summary>
    public partial class Home : Page
    {
        /// <summary>
        /// Creates a new <see cref="Home"/> instance.
        /// </summary>
        public Home()
        {
            InitializeComponent();

            this.Title = ApplicationStrings.HomePageTitle;
        }

        /// <summary>
        /// Executes when the user navigates to this page.
        /// </summary>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void orderDomainDataSource_LoadedData(object sender, System.Windows.Controls.LoadedDataEventArgs e)
        {

            if (e.HasError)
            {
                System.Windows.MessageBox.Show(e.Error.ToString(), "Load Error", System.Windows.MessageBoxButton.OK);
                e.MarkErrorAsHandled();
            }
        }

        private void orderXamGrid_Filtering(object sender, Infragistics.Controls.Grids.CancellableFilteringEventArgs e)
        {
            int busyDisplay = 3;
            int delayDisplay = 500;
            BusyWindow.DisplayAfter = TimeSpan.FromMilliseconds(delayDisplay);
            BusyWindow.IsBusy = true;
            ThreadPool.QueueUserWorkItem((state) =>
            {
                Thread.Sleep(busyDisplay * 1000);
                Dispatcher.BeginInvoke(() => BusyWindow.IsBusy = false);
            });

        }

        private void Page_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            //this.busyIndicator1.Visibility = System.Windows.Visibility.Visible;
        }
    }
}